Installer - Feature #28695

Support pulp3 upgrade/migration
01/08/2020 04:18 PM - Justin Sherrill

Status: Closed

Priority: Normal
Assignee: Eric Helms
Category: Foreman modules

Target version:

Difficulty: Fixed in Releases:
Triaged: No Found in Releases:
Bugzilla link: Red Hat JIRA:
Pull request: https://github.com/theforeman/puppet-kat

ello/pull/313
Description

To support upgrading katello 3.14 to 3.15 some installer changes are needed. What i expect is:

1. Upon fresh install: * pulp3 is installed, configured, and running with file and docker plugins * /pulp/isos directs to pulp3 for both
http and https  * :use_pulp_2_for_content_type: in /etc/foreman/plugins/katello.yaml does NOT have file and docker set to true

2. When upgrading from 3.14 to 3.15: * pulp3 is installed, configured, and running with file and docker plugins * /pulp/isos directs
to pulp2 for both http and https * /etc/foreman/plugins/katello.yaml contains within the katello section:

:use_pulp_2_for_content_type:
:docker: true
:file: true

3. After upgrading, there exists some installer option(s) that will convert an installation that is at 2) to 1), updating apache configs
and katello configs accordingly.

Related issues:
Blocked by Installer - Bug #28720: configure pulp3 to talk to mongo for conte... Closed
Blocked by Installer - Tracker #28736: Use Pulp 3 for File and Container cont... Closed

Associated revisions

Revision e61bcfc0 - 01/20/2020 01:44 PM - Eric Helms
Refs #28695: Add Pulp 2 migration settings

History

#1 - 01/13/2020 12:32 PM - Ewoud Kohl van Wijngaarden
- Blocked by Bug #28720: configure pulp3 to talk to mongo for content migrations added

#2 - 01/13/2020 12:38 PM - Ewoud Kohl van Wijngaarden
- Blocked by Tracker #28736: Use Pulp 3 for File and Container content in Katello added

#3 - 01/16/2020 07:04 PM - The Foreman Bot
- Status changed from New to Ready For Testing
- Assignee set to Eric Helms

- Pull request https://github.com/theforeman/puppet-katello/pull/313 added

#4 - 02/26/2020 02:03 AM - Eric Helms
- Status changed from Ready For Testing to Closed
